CREATE TABLE hra_pf_defns_b (
    PROCESS_FLOW_ID               NUMBER(18, 0) ,
    BUSINESS_GROUP_ID             NUMBER(18, 0) ,
    DATE_FROM                     DATE              NOT NULL,
    DATE_TO                       DATE              NOT NULL,
    STATUS_CODE                   VARCHAR2(120) ,
    WKR_PERF_DOC_FLAG             VARCHAR2(120) ,
    MGR_PERF_DOC_FLAG             VARCHAR2(120) ,
    CONFIRM_CRITERIA_FLAG         VARCHAR2(120) ,
    MGR_SET_EVAL_CRTRIA_FLAG      VARCHAR2(120) ,
    WKR_SET_EVAL_CRTRIA_FLAG      VARCHAR2(120) ,
    MGR_CMPLT_EVAL_CRTRIA_FLAG    VARCHAR2(120) ,
    WKR_CMPLT_EVAL_CRTRIA_FLAG    VARCHAR2(120) ,
    PRELIMINARY_RATINGS_FLAG      VARCHAR2(120) ,
    ASSIGN_PARTICIPANTS_FLAG      VARCHAR2(120) ,
    MGR_SELECT_PCPNS_FLAG         VARCHAR2(120) ,
    WRK_SELECT_PCPNS_FLAG         VARCHAR2(120) ,
    MGR_TRACK_PCPNS_FLAG          VARCHAR2(120) ,
    WRK_TRACK_PCPNS_FLAG          VARCHAR2(120) ,
    WRK_VIEW_SUB_FDBCK_FLAG       VARCHAR2(120) ,
    WRK_REQUEST_PCPNS_FLAG        VARCHAR2(120) ,
    MGR_ADD_QUESTION_FLAG         VARCHAR2(120) ,
    WRK_ADD_QUESTION_FLAG         VARCHAR2(120) ,
    MGR_ASSGN_PRTCPNT_FLAG        VARCHAR2(120) ,
    WKR_ASSGN_PRTCPNT_FLAG        VARCHAR2(120) ,
    PARTICIPANT_EVAL_FLAG         VARCHAR2(120) ,
    MGR_CMPLT_ASSGNMNT_FLAG       VARCHAR2(120) ,
    WKR_CMPLT_ASSGNMNT_FLAG       VARCHAR2(120) ,
    WKR_SELF_EVAL_FLAG            VARCHAR2(120) ,
    MGR_EVAL_OF_WRKR_FLAG         VARCHAR2(120) ,
    EVAL_TASKS_CONCURRENT_FLAG    VARCHAR2(120) ,
    DISABLE_RESUBMIT_MGR_EVAL     VARCHAR2(120) ,
    FIRST_APPROVAL_FLAG           VARCHAR2(120) ,
    FIRST_APPROVAL_ID             VARCHAR2(120) ,
    SECOND_APPROVAL_FLAG          VARCHAR2(120) ,
    SECOND_APPROVAL_ID            VARCHAR2(120) ,
    AUTO_SUBMIT_APPROVAL_FLAG     VARCHAR2(120) ,
    SHARE_PERFORMANCE_DOC_FLAG    VARCHAR2(120) ,
    WKR_ACK_DOC_FLAG              VARCHAR2(120) ,
    CONDUCT_MEETINGS_FLAG         VARCHAR2(120) ,
    WKR_ACK_REVIEW_MTG_FLAG       VARCHAR2(120) ,
    FINAL_FEEDBACK_FLAG           VARCHAR2(120) ,
    WKR_FINAL_FEEDBCK_FLAG        VARCHAR2(120) ,
    MGR_FINAL_FEEDBACK_FLAG       VARCHAR2(120) ,
    NEXT_PERIOD_GOALS_FLAG        VARCHAR2(120) ,
    ALLOCATE_REWARDS_FLAG         VARCHAR2(120) ,
    MANAGE_PROMOTIONS_FLAG        VARCHAR2(120) ,
    ALLOW_SHARE_LOCK_FOR_CALIB    VARCHAR2(120) ,
    MGR_REOPEN_PCPN_FDBCK_FLAG    VARCHAR2(120) ,
    WRK_REOPEN_PCPN_FDBCK_FLAG    VARCHAR2(120) ,
    PCPN_REOPEN_FDBCK_FLAG        VARCHAR2(120) ,
    CALENDAR_INVITE_FLAG          VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    MODULE_ID                     VARCHAR2(128) ,
    PROCESS_FLOW_ID               NUMBER(18, 0) ,
    BUSINESS_GROUP_ID             NUMBER(18, 0) ,
    DATE_FROM                     DATE              NOT NULL,
    DATE_TO                       DATE              NOT NULL,
    STATUS_CODE                   VARCHAR2(120) ,
    WKR_PERF_DOC_FLAG             VARCHAR2(120) ,
    MGR_PERF_DOC_FLAG             VARCHAR2(120) ,
    CONFIRM_CRITERIA_FLAG         VARCHAR2(120) ,
    MGR_SET_EVAL_CRTRIA_FLAG      VARCHAR2(120) ,
    WKR_SET_EVAL_CRTRIA_FLAG      VARCHAR2(120) ,
    MGR_CMPLT_EVAL_CRTRIA_FLAG    VARCHAR2(120) ,
    WKR_CMPLT_EVAL_CRTRIA_FLAG    VARCHAR2(120) ,
    PRELIMINARY_RATINGS_FLAG      VARCHAR2(120) ,
    ASSIGN_PARTICIPANTS_FLAG      VARCHAR2(120) ,
    MGR_SELECT_PCPNS_FLAG         VARCHAR2(120) ,
    WRK_SELECT_PCPNS_FLAG         VARCHAR2(120) ,
    MGR_TRACK_PCPNS_FLAG          VARCHAR2(120) ,
    WRK_TRACK_PCPNS_FLAG          VARCHAR2(120) ,
    WRK_VIEW_SUB_FDBCK_FLAG       VARCHAR2(120) ,
    WRK_REQUEST_PCPNS_FLAG        VARCHAR2(120) ,
    MGR_ADD_QUESTION_FLAG         VARCHAR2(120) ,
    WRK_ADD_QUESTION_FLAG         VARCHAR2(120) ,
    MGR_ASSGN_PRTCPNT_FLAG        VARCHAR2(120) ,
    WKR_ASSGN_PRTCPNT_FLAG        VARCHAR2(120) ,
    PARTICIPANT_EVAL_FLAG         VARCHAR2(120) ,
    MGR_CMPLT_ASSGNMNT_FLAG       VARCHAR2(120) ,
    WKR_CMPLT_ASSGNMNT_FLAG       VARCHAR2(120) ,
    WKR_SELF_EVAL_FLAG            VARCHAR2(120) ,
    MGR_EVAL_OF_WRKR_FLAG         VARCHAR2(120) ,
    FIRST_APPROVAL_FLAG           VARCHAR2(120) ,
    FIRST_APPROVAL_ID             VARCHAR2(120) ,
    SECOND_APPROVAL_FLAG          VARCHAR2(120) ,
    SECOND_APPROVAL_ID            VARCHAR2(120) ,
    SHARE_PERFORMANCE_DOC_FLAG    VARCHAR2(120) ,
    WKR_ACK_DOC_FLAG              VARCHAR2(120) ,
    CONDUCT_MEETINGS_FLAG         VARCHAR2(120) ,
    WKR_ACK_REVIEW_MTG_FLAG       VARCHAR2(120) ,
    FINAL_FEEDBACK_FLAG           VARCHAR2(120) ,
    WKR_FINAL_FEEDBCK_FLAG        VARCHAR2(120) ,
    MGR_FINAL_FEEDBACK_FLAG       VARCHAR2(120) ,
    NEXT_PERIOD_GOALS_FLAG        VARCHAR2(120) ,
    ALLOCATE_REWARDS_FLAG         VARCHAR2(120) ,
    MANAGE_PROMOTIONS_FLAG        VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    MODULE_ID                     VARCHAR2(128) ,
    EVAL_TASKS_CONCURRENT_FLAG    VARCHAR2(120) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    DISABLE_RESUBMIT_MGR_EVAL     VARCHAR2(120) ,
    AUTO_SUBMIT_APPROVAL_FLAG     VARCHAR2(120) ,
    ALLOW_SHARE_LOCK_FOR_CALIB    VARCHAR2(120) ,
    MGR_REOPEN_PCPN_FDBCK_FLAG    VARCHAR2(120) ,
    WRK_REOPEN_PCPN_FDBCK_FLAG    VARCHAR2(120) ,
    PCPN_REOPEN_FDBCK_FLAG        VARCHAR2(120) ,
    CALENDAR_INVITE_FLAG          VARCHAR2(120) ,
    CONSTRAINT pk_hra_pf_defns_b PRIMARY KEY (PROCESS_FLOW_ID, BUSINESS_GROUP_ID, PROCESS_FLOW_ID, BUSINESS_GROUP_ID)
);
